# Namespace: system

## faker. system

### Methods

#### <static> commonFileExt(type)

  returns a commonly used file extension based on optional type

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `type` | string |

#### <static> commonFileName(ext, type)

  commonFileName

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `ext` | string |
  `type` | string |

#### <static> commonFileType()

  returns a commonly used file type

#### <static> directoryPath()

  not yet implemented

#### <static> fileExt(mimeType)

  fileExt

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `mimeType` | string |

#### <static> fileName(ext, type)

  generates a file name with extension or optional type

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `ext` | string |
  `type` | string |

#### <static> filePath()

  not yet implemented

#### <static> fileType()

  returns any file type available as mime-type

#### <static> mimeType()

  mimeType

#### <static> semver()

  semver

#### Search results